
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `admidio4310`
--

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_announcements`
--

CREATE TABLE `[[dbprefix]]_announcements` (
  `ann_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ann_cat_id` int(10) unsigned NOT NULL,
  `ann_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `ann_headline` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ann_description` text COLLATE utf8_unicode_ci,
  `ann_usr_id_create` int(10) unsigned DEFAULT NULL,
  `ann_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ann_usr_id_change` int(10) unsigned DEFAULT NULL,
  `ann_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`ann_id`),
  UNIQUE KEY `[[dbprefix]]_idx_ann_uuid` (`ann_uuid`),
  KEY `[[dbprefix]]_fk_ann_cat` (`ann_cat_id`),
  KEY `[[dbprefix]]_fk_ann_usr_create` (`ann_usr_id_create`),
  KEY `[[dbprefix]]_fk_ann_usr_change` (`ann_usr_id_change`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_auto_login`
--

CREATE TABLE `[[dbprefix]]_auto_login` (
  `atl_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `atl_auto_login_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `atl_session_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `atl_org_id` int(10) unsigned NOT NULL,
  `atl_usr_id` int(10) unsigned NOT NULL,
  `atl_last_login` timestamp NULL DEFAULT NULL,
  `atl_number_invalid` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`atl_id`),
  KEY `[[dbprefix]]_fk_atl_usr` (`atl_usr_id`),
  KEY `[[dbprefix]]_fk_atl_org` (`atl_org_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_categories`
--

CREATE TABLE `[[dbprefix]]_categories` (
  `cat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cat_org_id` int(10) unsigned DEFAULT NULL,
  `cat_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `cat_type` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `cat_name_intern` varchar(110) COLLATE utf8_unicode_ci NOT NULL,
  `cat_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `cat_system` tinyint(1) NOT NULL DEFAULT '0',
  `cat_default` tinyint(1) NOT NULL DEFAULT '0',
  `cat_sequence` smallint(6) NOT NULL,
  `cat_usr_id_create` int(10) unsigned DEFAULT NULL,
  `cat_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cat_usr_id_change` int(10) unsigned DEFAULT NULL,
  `cat_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`cat_id`),
  UNIQUE KEY `[[dbprefix]]_idx_cat_uuid` (`cat_uuid`),
  KEY `[[dbprefix]]_fk_cat_org` (`cat_org_id`),
  KEY `[[dbprefix]]_fk_cat_usr_create` (`cat_usr_id_create`),
  KEY `[[dbprefix]]_fk_cat_usr_change` (`cat_usr_id_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=16 ;

--
-- Dumping data for table `[[dbprefix]]_categories`
--

INSERT INTO `[[dbprefix]]_categories` VALUES
(1, NULL, '6ebd3a51-66f9-48b9-a830-67fb7a5e7d11', 'USF', 'BASIC_DATA', 'SYS_BASIC_DATA', 1, 0, 1, 1, '[[regtime]]', NULL, NULL),
(2, NULL, 'bd6d0ecf-394f-4fbe-b346-d920e7d6785e', 'USF', 'SOCIAL_NETWORKS', 'SYS_SOCIAL_NETWORKS', 0, 0, 2, 1, '[[regtime]]', NULL, NULL),
(3, NULL, '67c506aa-b37f-49b8-a668-7c821aec41b2', 'USF', 'ADDIDIONAL_DATA', 'INS_ADDIDIONAL_DATA', 0, 0, 3, 1, '[[regtime]]', NULL, NULL),
(4, 1, 'f2d2a8d1-db53-4ae7-9df4-99213ab90cd2', 'ROL', 'COMMON', 'SYS_COMMON', 0, 1, 1, 1, '[[regtime]]', NULL, NULL),
(5, 1, '15d3620d-0fa8-4dd5-b4ff-6ccc0983da6b', 'ROL', 'GROUPS', 'INS_GROUPS', 0, 0, 2, 1, '[[regtime]]', NULL, NULL),
(6, 1, 'd5aea3a9-02df-4c03-94ea-7514419aced7', 'ROL', 'COURSES', 'INS_COURSES', 0, 0, 3, 1, '[[regtime]]', NULL, NULL),
(7, 1, 'be0e08f9-1480-413b-8e1e-9bea63100e2a', 'ROL', 'TEAMS', 'INS_TEAMS', 0, 0, 4, 1, '[[regtime]]', NULL, NULL),
(8, 1, 'eb0b1d6d-0d74-4322-93f3-6ae6ddd2e7b1', 'ROL', 'EVENTS', 'SYS_EVENTS_CONFIRMATION_OF_PARTICIPATION', 1, 0, 5, 1, '[[regtime]]', NULL, NULL),
(9, 1, '3c59f6a6-e872-404b-b826-cdc65be37761', 'LNK', 'COMMON', 'SYS_COMMON', 0, 1, 1, 1, '[[regtime]]', NULL, NULL),
(10, 1, '45f72c6d-511f-46ce-8ffd-6b3b362554c0', 'LNK', 'INTERN', 'INS_INTERN', 0, 0, 2, 1, '[[regtime]]', NULL, NULL),
(11, 1, 'feb19bd1-5ed5-4076-b423-138fc9495eea', 'ANN', 'COMMON', 'SYS_COMMON', 0, 1, 1, 1, '[[regtime]]', NULL, NULL),
(12, 1, '0c87d1b6-7b42-4139-8f6b-9cc2415123fb', 'ANN', 'IMPORTANT', 'SYS_IMPORTANT', 0, 0, 2, 1, '[[regtime]]', NULL, NULL),
(13, 1, '14319ca8-5544-4165-b810-aab3f3e35f29', 'DAT', 'COMMON', 'SYS_COMMON', 0, 1, 1, 1, '[[regtime]]', NULL, NULL),
(14, 1, '82a5fb8a-c3db-48e8-9b1b-198e4c97677d', 'DAT', 'TRAINING', 'INS_TRAINING', 0, 0, 2, 1, '[[regtime]]', NULL, NULL),
(15, 1, '053d1248-5e48-4104-ad1c-fa0802bc5c77', 'DAT', 'COURSES', 'INS_COURSES', 0, 0, 3, 1, '[[regtime]]', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_category_report`
--

CREATE TABLE `[[dbprefix]]_category_report` (
  `crt_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `crt_org_id` int(10) unsigned DEFAULT NULL,
  `crt_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `crt_col_fields` text COLLATE utf8_unicode_ci,
  `crt_selection_role` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `crt_selection_cat` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `crt_number_col` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`crt_id`),
  KEY `[[dbprefix]]_fk_crt_org` (`crt_org_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]_category_report`
--

INSERT INTO `[[dbprefix]]_category_report` VALUES
(1, 1, 'General role assignment', 'p2,p1,p3,p5,r1,r3,r2', NULL, NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_components`
--

CREATE TABLE `[[dbprefix]]_components` (
  `com_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `com_type` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `com_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `com_name_intern` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `com_version` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `com_beta` smallint(6) NOT NULL DEFAULT '0',
  `com_update_step` int(11) NOT NULL DEFAULT '0',
  `com_update_completed` tinyint(1) NOT NULL DEFAULT '1',
  `com_timestamp_installed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`com_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=19 ;

--
-- Dumping data for table `[[dbprefix]]_components`
--

INSERT INTO `[[dbprefix]]_components` VALUES
(1, 'SYSTEM', 'Admidio Core', 'CORE', '4.3.10', 0, 1230, 1, '[[regtime]]'),
(2, 'MODULE', 'SYS_ANNOUNCEMENTS', 'ANNOUNCEMENTS', '4.3.10', 0, 0, 1, '[[regtime]]'),
(3, 'MODULE', 'SYS_DATABASE_BACKUP', 'BACKUP', '4.3.10', 0, 0, 1, '[[regtime]]'),
(4, 'MODULE', 'SYS_CATEGORIES', 'CATEGORIES', '4.3.10', 0, 0, 1, '[[regtime]]'),
(5, 'MODULE', 'SYS_CATEGORY_REPORT', 'CATEGORY-REPORT', '4.3.10', 0, 0, 1, '[[regtime]]'),
(6, 'MODULE', 'SYS_EVENTS', 'EVENTS', '4.3.10', 0, 0, 1, '[[regtime]]'),
(7, 'MODULE', 'SYS_DOCUMENTS_FILES', 'DOCUMENTS-FILES', '4.3.10', 0, 0, 1, '[[regtime]]'),
(8, 'MODULE', 'GBO_GUESTBOOK', 'GUESTBOOK', '4.3.10', 0, 0, 1, '[[regtime]]'),
(9, 'MODULE', 'SYS_WEBLINKS', 'LINKS', '4.3.10', 0, 0, 1, '[[regtime]]'),
(10, 'MODULE', 'SYS_GROUPS_ROLES', 'GROUPS-ROLES', '4.3.10', 0, 0, 1, '[[regtime]]'),
(11, 'MODULE', 'SYS_CONTACTS', 'CONTACTS', '4.3.10', 0, 0, 1, '[[regtime]]'),
(12, 'MODULE', 'SYS_MESSAGES', 'MESSAGES', '4.3.10', 0, 0, 1, '[[regtime]]'),
(13, 'MODULE', 'SYS_MENU', 'MENU', '4.3.10', 0, 0, 1, '[[regtime]]'),
(14, 'MODULE', 'SYS_PHOTOS', 'PHOTOS', '4.3.10', 0, 0, 1, '[[regtime]]'),
(15, 'MODULE', 'SYS_SETTINGS', 'PREFERENCES', '4.3.10', 0, 0, 1, '[[regtime]]'),
(16, 'MODULE', 'SYS_PROFILE', 'PROFILE', '4.3.10', 0, 0, 1, '[[regtime]]'),
(17, 'MODULE', 'SYS_REGISTRATION', 'REGISTRATION', '4.3.10', 0, 0, 1, '[[regtime]]'),
(18, 'MODULE', 'SYS_ROOM_MANAGEMENT', 'ROOMS', '4.3.10', 0, 0, 1, '[[regtime]]');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_events`
--

CREATE TABLE `[[dbprefix]]_events` (
  `dat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dat_cat_id` int(10) unsigned NOT NULL,
  `dat_rol_id` int(10) unsigned DEFAULT NULL,
  `dat_room_id` int(10) unsigned DEFAULT NULL,
  `dat_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `dat_begin` timestamp NULL DEFAULT NULL,
  `dat_end` timestamp NULL DEFAULT NULL,
  `dat_all_day` tinyint(1) NOT NULL DEFAULT '0',
  `dat_headline` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `dat_description` text COLLATE utf8_unicode_ci,
  `dat_highlight` tinyint(1) NOT NULL DEFAULT '0',
  `dat_location` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dat_country` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dat_deadline` timestamp NULL DEFAULT NULL,
  `dat_max_members` int(11) NOT NULL DEFAULT '0',
  `dat_usr_id_create` int(10) unsigned DEFAULT NULL,
  `dat_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `dat_usr_id_change` int(10) unsigned DEFAULT NULL,
  `dat_timestamp_change` timestamp NULL DEFAULT NULL,
  `dat_allow_comments` tinyint(1) NOT NULL DEFAULT '0',
  `dat_additional_guests` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`dat_id`),
  UNIQUE KEY `[[dbprefix]]_idx_dat_uuid` (`dat_uuid`),
  KEY `[[dbprefix]]_fk_dat_cat` (`dat_cat_id`),
  KEY `[[dbprefix]]_fk_dat_rol` (`dat_rol_id`),
  KEY `[[dbprefix]]_fk_dat_room` (`dat_room_id`),
  KEY `[[dbprefix]]_fk_dat_usr_create` (`dat_usr_id_create`),
  KEY `[[dbprefix]]_fk_dat_usr_change` (`dat_usr_id_change`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_files`
--

CREATE TABLE `[[dbprefix]]_files` (
  `fil_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fil_fol_id` int(10) unsigned NOT NULL,
  `fil_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `fil_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fil_description` text COLLATE utf8_unicode_ci,
  `fil_locked` tinyint(1) NOT NULL DEFAULT '0',
  `fil_counter` int(11) DEFAULT NULL,
  `fil_usr_id` int(10) unsigned DEFAULT NULL,
  `fil_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`fil_id`),
  UNIQUE KEY `[[dbprefix]]_idx_fil_uuid` (`fil_uuid`),
  KEY `[[dbprefix]]_fk_fil_fol` (`fil_fol_id`),
  KEY `[[dbprefix]]_fk_fil_usr` (`fil_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_folders`
--

CREATE TABLE `[[dbprefix]]_folders` (
  `fol_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fol_org_id` int(10) unsigned NOT NULL,
  `fol_fol_id_parent` int(10) unsigned DEFAULT NULL,
  `fol_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `fol_type` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `fol_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fol_description` text COLLATE utf8_unicode_ci,
  `fol_path` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fol_locked` tinyint(1) NOT NULL DEFAULT '0',
  `fol_public` tinyint(1) NOT NULL DEFAULT '0',
  `fol_usr_id` int(10) unsigned DEFAULT NULL,
  `fol_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`fol_id`),
  UNIQUE KEY `[[dbprefix]]_idx_fol_uuid` (`fol_uuid`),
  KEY `[[dbprefix]]_fk_fol_org` (`fol_org_id`),
  KEY `[[dbprefix]]_fk_fol_fol_parent` (`fol_fol_id_parent`),
  KEY `[[dbprefix]]_fk_fol_usr` (`fol_usr_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]_folders`
--

INSERT INTO `[[dbprefix]]_folders` VALUES
(1, 1, NULL, 'f3540368-6040-409e-8af0-10e7a705cdd9', 'DOCUMENTS', 'documents_[[short_site_name]]', NULL, '/adm_my_files', 0, 1, 1, '[[regtime]]');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_guestbook`
--

CREATE TABLE `[[dbprefix]]_guestbook` (
  `gbo_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gbo_org_id` int(10) unsigned NOT NULL,
  `gbo_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `gbo_name` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  `gbo_text` text COLLATE utf8_unicode_ci NOT NULL,
  `gbo_email` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `gbo_homepage` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `gbo_ip_address` varchar(39) COLLATE utf8_unicode_ci NOT NULL,
  `gbo_locked` tinyint(1) NOT NULL DEFAULT '0',
  `gbo_usr_id_create` int(10) unsigned DEFAULT NULL,
  `gbo_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gbo_usr_id_change` int(10) unsigned DEFAULT NULL,
  `gbo_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`gbo_id`),
  UNIQUE KEY `[[dbprefix]]_idx_gbo_uuid` (`gbo_uuid`),
  KEY `[[dbprefix]]_fk_gbo_org` (`gbo_org_id`),
  KEY `[[dbprefix]]_fk_gbo_usr_create` (`gbo_usr_id_create`),
  KEY `[[dbprefix]]_fk_gbo_usr_change` (`gbo_usr_id_change`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_guestbook_comments`
--

CREATE TABLE `[[dbprefix]]_guestbook_comments` (
  `gbc_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gbc_gbo_id` int(10) unsigned NOT NULL,
  `gbc_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `gbc_name` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  `gbc_text` text COLLATE utf8_unicode_ci NOT NULL,
  `gbc_email` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `gbc_ip_address` varchar(39) COLLATE utf8_unicode_ci NOT NULL,
  `gbc_locked` tinyint(1) NOT NULL DEFAULT '0',
  `gbc_usr_id_create` int(10) unsigned DEFAULT NULL,
  `gbc_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gbc_usr_id_change` int(10) unsigned DEFAULT NULL,
  `gbc_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`gbc_id`),
  UNIQUE KEY `[[dbprefix]]_idx_gbc_uuid` (`gbc_uuid`),
  KEY `[[dbprefix]]_fk_gbc_gbo` (`gbc_gbo_id`),
  KEY `[[dbprefix]]_fk_gbc_usr_create` (`gbc_usr_id_create`),
  KEY `[[dbprefix]]_fk_gbc_usr_change` (`gbc_usr_id_change`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_ids`
--

CREATE TABLE `[[dbprefix]]_ids` (
  `ids_usr_id` int(10) unsigned NOT NULL,
  `ids_reference_id` int(10) unsigned NOT NULL,
  KEY `[[dbprefix]]_fk_ids_usr_id` (`ids_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_links`
--

CREATE TABLE `[[dbprefix]]_links` (
  `lnk_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lnk_cat_id` int(10) unsigned NOT NULL,
  `lnk_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `lnk_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `lnk_description` text COLLATE utf8_unicode_ci,
  `lnk_url` varchar(2000) COLLATE utf8_unicode_ci NOT NULL,
  `lnk_counter` int(11) NOT NULL DEFAULT '0',
  `lnk_usr_id_create` int(10) unsigned DEFAULT NULL,
  `lnk_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `lnk_usr_id_change` int(10) unsigned DEFAULT NULL,
  `lnk_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`lnk_id`),
  UNIQUE KEY `[[dbprefix]]_idx_lnk_uuid` (`lnk_uuid`),
  KEY `[[dbprefix]]_fk_lnk_cat` (`lnk_cat_id`),
  KEY `[[dbprefix]]_fk_lnk_usr_create` (`lnk_usr_id_create`),
  KEY `[[dbprefix]]_fk_lnk_usr_change` (`lnk_usr_id_change`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_lists`
--

CREATE TABLE `[[dbprefix]]_lists` (
  `lst_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lst_org_id` int(10) unsigned NOT NULL,
  `lst_usr_id` int(10) unsigned NOT NULL,
  `lst_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `lst_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lst_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `lst_global` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lst_id`),
  UNIQUE KEY `[[dbprefix]]_idx_lst_uuid` (`lst_uuid`),
  KEY `[[dbprefix]]_fk_lst_usr` (`lst_usr_id`),
  KEY `[[dbprefix]]_fk_lst_org` (`lst_org_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `[[dbprefix]]_lists`
--

INSERT INTO `[[dbprefix]]_lists` VALUES
(1, 1, 1, '3188da83-d9ff-4c28-8e2e-c648f63dd734', 'Address list', '[[regtime]]', 1),
(2, 1, 1, '6d0e1564-7c93-4768-9a3f-570ad5bc745d', 'Phone list', '[[regtime]]', 1),
(3, 1, 1, '8d6cf593-d2e4-43ac-99d5-21e846c71bb8', 'Contact information', '[[regtime]]', 1),
(4, 1, 1, 'cde1e5a3-9e12-4322-b826-6f8afb5213d6', 'Membership', '[[regtime]]', 1),
(5, 1, 1, '3c02a070-f6c9-4c7e-8ef0-260355fb8d51', 'Members', '[[regtime]]', 1),
(6, 1, 1, '3c23f3f5-eae5-4c4a-9b47-1ee36acd0c5a', 'Contacts', '[[regtime]]', 1);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_list_columns`
--

CREATE TABLE `[[dbprefix]]_list_columns` (
  `lsc_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lsc_lst_id` int(10) unsigned NOT NULL,
  `lsc_number` smallint(6) NOT NULL,
  `lsc_usf_id` int(10) unsigned DEFAULT NULL,
  `lsc_special_field` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lsc_sort` varchar(5) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lsc_filter` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lsc_id`),
  KEY `[[dbprefix]]_fk_lsc_lst` (`lsc_lst_id`),
  KEY `[[dbprefix]]_fk_lsc_usf` (`lsc_usf_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=38 ;

--
-- Dumping data for table `[[dbprefix]]_list_columns`
--

INSERT INTO `[[dbprefix]]_list_columns` VALUES
(1, 1, 1, 1, NULL, 'ASC', NULL),
(2, 1, 2, 2, NULL, 'ASC', NULL),
(3, 1, 3, 9, NULL, NULL, NULL),
(4, 1, 4, 3, NULL, NULL, NULL),
(5, 1, 5, 4, NULL, NULL, NULL),
(6, 1, 6, 5, NULL, NULL, NULL),
(7, 2, 1, 1, NULL, 'ASC', NULL),
(8, 2, 2, 2, NULL, 'ASC', NULL),
(9, 2, 3, 7, NULL, NULL, NULL),
(10, 2, 4, 8, NULL, NULL, NULL),
(11, 2, 5, 11, NULL, NULL, NULL),
(12, 3, 1, 1, NULL, 'ASC', NULL),
(13, 3, 2, 2, NULL, 'ASC', NULL),
(14, 3, 3, 9, NULL, NULL, NULL),
(15, 3, 4, 3, NULL, NULL, NULL),
(16, 3, 5, 4, NULL, NULL, NULL),
(17, 3, 6, 5, NULL, NULL, NULL),
(18, 3, 7, 7, NULL, NULL, NULL),
(19, 3, 8, 8, NULL, NULL, NULL),
(20, 3, 9, 11, NULL, NULL, NULL),
(21, 4, 1, 1, NULL, 'ASC', NULL),
(22, 4, 2, 2, NULL, 'ASC', NULL),
(23, 4, 3, 9, NULL, NULL, NULL),
(24, 4, 4, NULL, 'mem_begin', NULL, NULL),
(25, 4, 5, NULL, 'mem_end', NULL, NULL),
(26, 5, 1, 1, NULL, 'ASC', NULL),
(27, 5, 2, 2, NULL, 'ASC', NULL),
(28, 5, 3, NULL, 'mem_approved', NULL, NULL),
(29, 5, 4, NULL, 'mem_comment', NULL, NULL),
(30, 5, 5, NULL, 'mem_count_guests', NULL, NULL),
(31, 6, 1, 1, NULL, 'ASC', NULL),
(32, 6, 2, 2, NULL, 'ASC', NULL),
(33, 6, 3, NULL, 'usr_login_name', NULL, NULL),
(34, 6, 4, 10, NULL, NULL, NULL),
(35, 6, 5, 9, NULL, NULL, NULL),
(36, 6, 6, 5, NULL, NULL, NULL),
(37, 6, 7, NULL, 'usr_timestamp_change', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_members`
--

CREATE TABLE `[[dbprefix]]_members` (
  `mem_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mem_rol_id` int(10) unsigned NOT NULL,
  `mem_usr_id` int(10) unsigned NOT NULL,
  `mem_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `mem_begin` date NOT NULL,
  `mem_end` date NOT NULL DEFAULT '9999-12-31',
  `mem_leader` tinyint(1) NOT NULL DEFAULT '0',
  `mem_usr_id_create` int(10) unsigned DEFAULT NULL,
  `mem_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `mem_usr_id_change` int(10) unsigned DEFAULT NULL,
  `mem_timestamp_change` timestamp NULL DEFAULT NULL,
  `mem_approved` int(10) unsigned DEFAULT NULL,
  `mem_comment` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mem_count_guests` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mem_id`),
  UNIQUE KEY `[[dbprefix]]_idx_mem_uuid` (`mem_uuid`),
  KEY `[[dbprefix]]_idx_mem_rol_usr_id` (`mem_rol_id`,`mem_usr_id`),
  KEY `[[dbprefix]]_fk_mem_usr` (`mem_usr_id`),
  KEY `[[dbprefix]]_fk_mem_usr_create` (`mem_usr_id_create`),
  KEY `[[dbprefix]]_fk_mem_usr_change` (`mem_usr_id_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `[[dbprefix]]_members`
--

INSERT INTO `[[dbprefix]]_members` VALUES
(1, 1, 2, 'be6af7a3-0f42-4949-bc7b-df75ca834f32', '[[date]]', '9999-12-31', 0, 1, '[[regtime]]', NULL, NULL, NULL, NULL, 0),
(2, 2, 2, '409928e4-7ef5-4705-a453-73ff68088c68', '[[date]]', '9999-12-31', 0, 1, '[[regtime]]', NULL, NULL, NULL, NULL, 0);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_menu`
--

CREATE TABLE `[[dbprefix]]_menu` (
  `men_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `men_men_id_parent` int(10) unsigned DEFAULT NULL,
  `men_com_id` int(10) unsigned DEFAULT NULL,
  `men_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `men_name_intern` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `men_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `men_description` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `men_node` tinyint(1) NOT NULL DEFAULT '0',
  `men_order` int(10) unsigned DEFAULT NULL,
  `men_standard` tinyint(1) NOT NULL DEFAULT '0',
  `men_url` varchar(2000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `men_icon` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`men_id`),
  UNIQUE KEY `[[dbprefix]]_idx_men_uuid` (`men_uuid`),
  KEY `[[dbprefix]]_idx_men_men_id_parent` (`men_men_id_parent`),
  KEY `[[dbprefix]]_fk_men_com_id` (`men_com_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=19 ;

--
-- Dumping data for table `[[dbprefix]]_menu`
--

INSERT INTO `[[dbprefix]]_menu` VALUES
(1, NULL, NULL, '32955f0a-8c2d-4109-9a7a-35a8ac2c0121', 'modules', 'SYS_MODULES', '', 1, 1, 1, NULL, ''),
(2, NULL, NULL, 'a25d02de-cd69-4366-bddf-a6b5fbcd781e', 'administration', 'SYS_ADMINISTRATION', '', 1, 2, 1, NULL, ''),
(3, NULL, NULL, '74c9543e-2c7a-470b-a4c8-458db54381d3', 'plugins', 'SYS_PLUGINS', '', 1, 3, 1, NULL, ''),
(4, 1, NULL, '66543500-be3e-45c5-92c9-57547b911574', 'overview', 'SYS_OVERVIEW', '', 0, 1, 1, '/adm_program/overview.php', 'fa-home'),
(5, 1, 2, 'e86c9b2b-f876-4f04-a6b3-a265bf23cc46', 'announcements', 'SYS_ANNOUNCEMENTS', 'SYS_ANNOUNCEMENTS_DESC', 0, 2, 1, '/adm_program/modules/announcements/announcements.php', 'fa-newspaper'),
(6, 1, 6, 'dd5d7572-7b34-40e5-83c8-d4525d5d2d3a', 'events', 'SYS_EVENTS', 'SYS_EVENTS_DESC', 0, 3, 1, '/adm_program/modules/events/events.php', 'fa-calendar-alt'),
(7, 1, 12, '42d5239e-4a72-4b52-bb84-df5da4d6f53a', 'messages', 'SYS_MESSAGES', 'SYS_MESSAGES_DESC', 0, 4, 1, '/adm_program/modules/messages/messages.php', 'fa-comments'),
(8, 1, 10, 'd3a0e11c-945e-4eab-a624-afe8a558431d', 'groups-roles', 'SYS_GROUPS_ROLES', 'SYS_GROUPS_ROLES_DESC', 0, 5, 1, '/adm_program/modules/groups-roles/groups_roles.php', 'fa-users'),
(9, 1, 11, '7872c7d1-c5af-446b-b75a-2e8d24e0732c', 'contacts', 'SYS_CONTACTS', 'SYS_CONTACTS_DESC', 0, 6, 1, '/adm_program/modules/contacts/contacts.php', 'fa-address-card'),
(10, 1, 7, '7818fe6f-11aa-407f-bf68-1a8918aad626', 'documents-files', 'SYS_DOCUMENTS_FILES', 'SYS_DOCUMENTS_FILES_DESC', 0, 7, 1, '/adm_program/modules/documents-files/documents_files.php', 'fa-file-download'),
(11, 1, 14, 'bb7c461c-051f-41b0-93a6-735b9f3b1c23', 'photo', 'SYS_PHOTOS', 'SYS_PHOTOS_DESC', 0, 8, 1, '/adm_program/modules/photos/photos.php', 'fa-image'),
(12, 1, 5, '9f2f28ab-98a9-4752-92c7-b322df7097ce', 'category-report', 'SYS_CATEGORY_REPORT', 'SYS_CATEGORY_REPORT_DESC', 0, 9, 1, '/adm_program/modules/category-report/category_report.php', 'fa-list-ul'),
(13, 1, 9, '80b5a0ff-8f98-4acc-b078-7168b4031ebc', 'weblinks', 'SYS_WEBLINKS', 'SYS_WEBLINKS_DESC', 0, 10, 1, '/adm_program/modules/links/links.php', 'fa-link'),
(14, 1, 8, '09056204-c97f-4d7e-982f-2dc3b4fc4dc3', 'guestbook', 'GBO_GUESTBOOK', 'GBO_GUESTBOOK_DESC', 0, 11, 1, '/adm_program/modules/guestbook/guestbook.php', 'fa-book'),
(15, 2, 15, '0fc60612-a983-4ddf-9cb9-e8e3cbbe2e60', 'orgprop', 'SYS_SETTINGS', 'ORG_ORGANIZATION_PROPERTIES_DESC', 0, 1, 1, '/adm_program/modules/preferences/preferences.php', 'fa-cog'),
(16, 2, 17, 'd4623b0d-6adc-4074-a653-9f9f711c560e', 'registration', 'SYS_REGISTRATIONS', 'SYS_MANAGE_NEW_REGISTRATIONS_DESC', 0, 2, 1, '/adm_program/modules/registration/registration.php', 'fa-file-signature'),
(17, 2, 13, '802a69eb-217a-4684-b1ad-0e6823f01113', 'menu', 'SYS_MENU', 'SYS_MENU_DESC', 0, 3, 1, '/adm_program/modules/menu/menu.php', 'fa-stream'),
(18, 2, 3, '63c8ba8d-ca28-475e-b752-c62ee8c1affe', 'dbback', 'SYS_DATABASE_BACKUP', 'SYS_DATABASE_BACKUP_DESC', 0, 4, 1, '/adm_program/modules/backup/backup.php', 'fa-database');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_messages`
--

CREATE TABLE `[[dbprefix]]_messages` (
  `msg_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `msg_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `msg_type` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `msg_subject` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `msg_usr_id_sender` int(10) unsigned NOT NULL,
  `msg_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `msg_read` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`msg_id`),
  UNIQUE KEY `[[dbprefix]]_idx_msg_uuid` (`msg_uuid`),
  KEY `[[dbprefix]]_fk_msg_usr_sender` (`msg_usr_id_sender`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_messages_attachments`
--

CREATE TABLE `[[dbprefix]]_messages_attachments` (
  `msa_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `msa_msg_id` int(10) unsigned NOT NULL,
  `msa_file_name` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `msa_original_file_name` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`msa_id`),
  KEY `[[dbprefix]]_fk_msa_msg_id` (`msa_msg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_messages_content`
--

CREATE TABLE `[[dbprefix]]_messages_content` (
  `msc_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `msc_msg_id` int(10) unsigned NOT NULL,
  `msc_usr_id` int(10) unsigned DEFAULT NULL,
  `msc_message` text COLLATE utf8_unicode_ci NOT NULL,
  `msc_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`msc_id`),
  KEY `[[dbprefix]]_fk_msc_msg_id` (`msc_msg_id`),
  KEY `[[dbprefix]]_fk_msc_usr_id` (`msc_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_messages_recipients`
--

CREATE TABLE `[[dbprefix]]_messages_recipients` (
  `msr_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `msr_msg_id` int(10) unsigned NOT NULL,
  `msr_rol_id` int(10) unsigned DEFAULT NULL,
  `msr_usr_id` int(10) unsigned DEFAULT NULL,
  `msr_role_mode` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`msr_id`),
  KEY `[[dbprefix]]_fk_msr_msg_id` (`msr_msg_id`),
  KEY `[[dbprefix]]_fk_msr_rol_id` (`msr_rol_id`),
  KEY `[[dbprefix]]_fk_msr_usr_id` (`msr_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_organizations`
--

CREATE TABLE `[[dbprefix]]_organizations` (
  `org_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `org_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `org_shortname` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `org_longname` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  `org_org_id_parent` int(10) unsigned DEFAULT NULL,
  `org_homepage` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`org_id`),
  UNIQUE KEY `[[dbprefix]]_idx_org_shortname` (`org_shortname`),
  UNIQUE KEY `[[dbprefix]]_idx_org_uuid` (`org_uuid`),
  KEY `[[dbprefix]]_fk_org_org_parent` (`org_org_id_parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]_organizations`
--

INSERT INTO `[[dbprefix]]_organizations` VALUES
(1, '11765121-ce56-4aad-a674-a0ecd136052a', '[[short_site_name]]', '[[site_name]]', NULL, '[[softurl]]');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_photos`
--

CREATE TABLE `[[dbprefix]]_photos` (
  `pho_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pho_org_id` int(10) unsigned NOT NULL,
  `pho_pho_id_parent` int(10) unsigned DEFAULT NULL,
  `pho_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `pho_quantity` int(10) unsigned NOT NULL DEFAULT '0',
  `pho_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `pho_begin` date NOT NULL,
  `pho_end` date NOT NULL,
  `pho_description` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pho_photographers` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pho_locked` tinyint(1) NOT NULL DEFAULT '0',
  `pho_usr_id_create` int(10) unsigned DEFAULT NULL,
  `pho_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `pho_usr_id_change` int(10) unsigned DEFAULT NULL,
  `pho_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`pho_id`),
  UNIQUE KEY `[[dbprefix]]_idx_pho_uuid` (`pho_uuid`),
  KEY `[[dbprefix]]_fk_pho_pho_parent` (`pho_pho_id_parent`),
  KEY `[[dbprefix]]_fk_pho_org` (`pho_org_id`),
  KEY `[[dbprefix]]_fk_pho_usr_create` (`pho_usr_id_create`),
  KEY `[[dbprefix]]_fk_pho_usr_change` (`pho_usr_id_change`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_preferences`
--

CREATE TABLE `[[dbprefix]]_preferences` (
  `prf_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `prf_org_id` int(10) unsigned NOT NULL,
  `prf_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `prf_value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`prf_id`),
  UNIQUE KEY `[[dbprefix]]_idx_prf_org_id_name` (`prf_org_id`,`prf_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=130 ;

--
-- Dumping data for table `[[dbprefix]]_preferences`
--

INSERT INTO `[[dbprefix]]_preferences` VALUES
(1, 1, 'enable_rss', '1'),
(2, 1, 'enable_auto_login', '1'),
(3, 1, 'default_country', 'DEU'),
(4, 1, 'logout_minutes', '20'),
(5, 1, 'homepage_logout', 'adm_program/overview.php'),
(6, 1, 'homepage_login', 'adm_program/overview.php'),
(7, 1, 'theme', 'simple'),
(8, 1, 'enable_password_recovery', '1'),
(9, 1, 'system_browser_update_check', '0'),
(10, 1, 'system_cookie_note', '1'),
(11, 1, 'system_currency', '€'),
(12, 1, 'system_date', 'd.m.Y'),
(13, 1, 'system_hashing_cost', '11'),
(14, 1, 'system_js_editor_enabled', '1'),
(15, 1, 'system_js_editor_color', '#96c4cb'),
(16, 1, 'system_language', '[[language]]'),
(17, 1, 'system_search_similar', '1'),
(18, 1, 'system_show_create_edit', '1'),
(19, 1, 'system_time', 'H:i'),
(20, 1, 'system_url_imprint', ''),
(21, 1, 'system_url_data_protection', ''),
(22, 1, 'password_min_strength', '1'),
(23, 1, 'email_administrator', '[[admin_email]]'),
(24, 1, 'system_organization_select', '0'),
(25, 1, 'registration_adopt_all_data', '1'),
(26, 1, 'registration_enable_captcha', '1'),
(27, 1, 'registration_enable_module', '1'),
(28, 1, 'registration_manual_approval', '1'),
(29, 1, 'registration_send_notification_email', '1'),
(30, 1, 'mail_send_method', 'phpmail'),
(31, 1, 'mail_sending_mode', '0'),
(32, 1, 'mail_recipients_with_roles', '1'),
(33, 1, 'mail_number_recipients', '50'),
(34, 1, 'mail_into_to', '0'),
(35, 1, 'mail_character_encoding', 'utf-8'),
(36, 1, 'mail_smtp_host', ''),
(37, 1, 'mail_smtp_auth', '1'),
(38, 1, 'mail_smtp_port', '587'),
(39, 1, 'mail_smtp_secure', 'tls'),
(40, 1, 'mail_smtp_authentication_type', ''),
(41, 1, 'mail_smtp_user', ''),
(42, 1, 'mail_smtp_password', ''),
(43, 1, 'system_notifications_enabled', '1'),
(44, 1, 'system_notifications_role', 'f5ee4547-9a09-4ab1-9c30-ee886df8724e'),
(45, 1, 'system_notifications_new_entries', '0'),
(46, 1, 'system_notifications_profile_changes', '0'),
(47, 1, 'captcha_type', 'pic'),
(48, 1, 'captcha_fonts', 'AHGBold.ttf'),
(49, 1, 'captcha_width', '215'),
(50, 1, 'captcha_lines_numbers', '5'),
(51, 1, 'captcha_perturbation', '0.75'),
(52, 1, 'captcha_background_image', ''),
(53, 1, 'captcha_background_color', '#B6D6DB'),
(54, 1, 'captcha_text_color', '#707070'),
(55, 1, 'captcha_line_color', '#707070'),
(56, 1, 'captcha_charset', '23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghjkmnpqrstuvwxy'),
(57, 1, 'captcha_signature', 'Powered by Admidio.org'),
(58, 1, 'announcements_module_enabled', '1'),
(59, 1, 'announcements_per_page', '10'),
(60, 1, 'category_report_enable_module', '1'),
(61, 1, 'category_report_default_configuration', '1'),
(62, 1, 'contacts_field_history_days', '365'),
(63, 1, 'contacts_list_configuration', '6'),
(64, 1, 'contacts_per_page', '25'),
(65, 1, 'contacts_show_all', '1'),
(66, 1, 'contacts_user_relations_enabled', '1'),
(67, 1, 'documents_files_module_enabled', '1'),
(68, 1, 'documents_files_max_upload_size', '3'),
(69, 1, 'events_list_configuration', '5'),
(70, 1, 'events_ical_export_enabled', '1'),
(71, 1, 'events_ical_days_past', '30'),
(72, 1, 'events_ical_days_future', '365'),
(73, 1, 'events_may_take_part', '0'),
(74, 1, 'events_module_enabled', '1'),
(75, 1, 'events_per_page', '10'),
(76, 1, 'events_rooms_enabled', '0'),
(77, 1, 'events_save_cancellations', '1'),
(78, 1, 'events_show_map_link', '1'),
(79, 1, 'events_view', 'detail'),
(80, 1, 'groups_roles_default_configuration', '1'),
(81, 1, 'groups_roles_enable_module', '1'),
(82, 1, 'groups_roles_export', '1'),
(83, 1, 'groups_roles_edit_lists', '1'),
(84, 1, 'groups_roles_members_per_page', '25'),
(85, 1, 'groups_roles_show_former_members', '2'),
(86, 1, 'enable_guestbook_module', '0'),
(87, 1, 'guestbook_entries_per_page', '10'),
(88, 1, 'enable_guestbook_captcha', '1'),
(89, 1, 'flooding_protection_time', '60'),
(90, 1, 'enable_gbook_comments4all', '0'),
(91, 1, 'enable_intial_comments_loading', '0'),
(92, 1, 'enable_guestbook_moderation', '0'),
(93, 1, 'enable_mail_module', '1'),
(94, 1, 'enable_pm_module', '1'),
(95, 1, 'enable_mail_captcha', '1'),
(96, 1, 'mail_delivery_confirmation', '0'),
(97, 1, 'mail_html_registered_users', '1'),
(98, 1, 'mail_max_receiver', '10'),
(99, 1, 'mail_save_attachments', '1'),
(100, 1, 'mail_send_to_all_addresses', '1'),
(101, 1, 'mail_sendmail_address', ''),
(102, 1, 'mail_sendmail_name', ''),
(103, 1, 'mail_show_former', '1'),
(104, 1, 'mail_template', 'default.html'),
(105, 1, 'max_email_attachment_size', '1'),
(106, 1, 'photo_albums_per_page', '24'),
(107, 1, 'photo_download_enabled', '0'),
(108, 1, 'photo_ecard_enabled', '1'),
(109, 1, 'photo_ecard_scale', '500'),
(110, 1, 'photo_ecard_template', 'postcard.tpl'),
(111, 1, 'photo_image_text', '© [[domhost]]'),
(112, 1, 'photo_image_text_size', '40'),
(113, 1, 'photo_keep_original', '0'),
(114, 1, 'photo_module_enabled', '1'),
(115, 1, 'photo_show_width', '1200'),
(116, 1, 'photo_show_height', '1200'),
(117, 1, 'photo_show_mode', '1'),
(118, 1, 'photo_thumbs_page', '24'),
(119, 1, 'photo_thumbs_scale', '500'),
(120, 1, 'profile_log_edit_fields', '1'),
(121, 1, 'profile_show_map_link', '0'),
(122, 1, 'profile_show_roles', '1'),
(123, 1, 'profile_show_former_roles', '1'),
(124, 1, 'profile_show_extern_roles', '1'),
(125, 1, 'profile_photo_storage', '0'),
(126, 1, 'enable_weblinks_module', '1'),
(127, 1, 'weblinks_per_page', '0'),
(128, 1, 'weblinks_redirect_seconds', '10'),
(129, 1, 'weblinks_target', '_blank');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_registrations`
--

CREATE TABLE `[[dbprefix]]_registrations` (
  `reg_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `reg_org_id` int(10) unsigned NOT NULL,
  `reg_usr_id` int(10) unsigned NOT NULL,
  `reg_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `reg_validation_id` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`reg_id`),
  KEY `[[dbprefix]]_fk_reg_org` (`reg_org_id`),
  KEY `[[dbprefix]]_fk_reg_usr` (`reg_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_roles`
--

CREATE TABLE `[[dbprefix]]_roles` (
  `rol_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rol_cat_id` int(10) unsigned NOT NULL,
  `rol_lst_id` int(10) unsigned DEFAULT NULL,
  `rol_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `rol_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `rol_description` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `rol_assign_roles` tinyint(1) NOT NULL DEFAULT '0',
  `rol_approve_users` tinyint(1) NOT NULL DEFAULT '0',
  `rol_announcements` tinyint(1) NOT NULL DEFAULT '0',
  `rol_events` tinyint(1) NOT NULL DEFAULT '0',
  `rol_documents_files` tinyint(1) NOT NULL DEFAULT '0',
  `rol_edit_user` tinyint(1) NOT NULL DEFAULT '0',
  `rol_guestbook` tinyint(1) NOT NULL DEFAULT '0',
  `rol_guestbook_comments` tinyint(1) NOT NULL DEFAULT '0',
  `rol_mail_to_all` tinyint(1) NOT NULL DEFAULT '0',
  `rol_mail_this_role` smallint(6) NOT NULL DEFAULT '0',
  `rol_photo` tinyint(1) NOT NULL DEFAULT '0',
  `rol_profile` tinyint(1) NOT NULL DEFAULT '0',
  `rol_weblinks` tinyint(1) NOT NULL DEFAULT '0',
  `rol_all_lists_view` tinyint(1) NOT NULL DEFAULT '0',
  `rol_default_registration` tinyint(1) NOT NULL DEFAULT '0',
  `rol_leader_rights` smallint(6) NOT NULL DEFAULT '0',
  `rol_view_memberships` smallint(6) NOT NULL DEFAULT '0',
  `rol_view_members_profiles` smallint(6) NOT NULL DEFAULT '0',
  `rol_start_date` date DEFAULT NULL,
  `rol_start_time` time DEFAULT NULL,
  `rol_end_date` date DEFAULT NULL,
  `rol_end_time` time DEFAULT NULL,
  `rol_weekday` smallint(6) DEFAULT NULL,
  `rol_location` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `rol_max_members` int(11) DEFAULT NULL,
  `rol_cost` float DEFAULT NULL,
  `rol_cost_period` smallint(6) DEFAULT NULL,
  `rol_usr_id_create` int(10) unsigned DEFAULT NULL,
  `rol_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `rol_usr_id_change` int(10) unsigned DEFAULT NULL,
  `rol_timestamp_change` timestamp NULL DEFAULT NULL,
  `rol_valid` tinyint(1) NOT NULL DEFAULT '1',
  `rol_system` tinyint(1) NOT NULL DEFAULT '0',
  `rol_administrator` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`rol_id`),
  UNIQUE KEY `[[dbprefix]]_idx_rol_uuid` (`rol_uuid`),
  KEY `[[dbprefix]]_fk_rol_cat` (`rol_cat_id`),
  KEY `[[dbprefix]]_fk_rol_lst_id` (`rol_lst_id`),
  KEY `[[dbprefix]]_fk_rol_usr_create` (`rol_usr_id_create`),
  KEY `[[dbprefix]]_fk_rol_usr_change` (`rol_usr_id_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

--
-- Dumping data for table `[[dbprefix]]_roles`
--

INSERT INTO `[[dbprefix]]_roles` VALUES
(1, 4, NULL, 'f5ee4547-9a09-4ab1-9c30-ee886df8724e', 'Administrator', 'Group of system administrators', 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 1, 1, 0, 0, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '[[regtime]]', NULL, NULL, 1, 0, 1),
(2, 4, NULL, 'c3577aed-4c9c-40fa-a548-71383c930c28', 'Member', 'All organization members', 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '[[regtime]]', NULL, NULL, 1, 0, 0),
(3, 4, NULL, '344341a6-6b10-452e-a951-d5e012746c6f', 'Association&rsquo;s board', 'Administrative board of association', 0, 0, 1, 1, 0, 1, 0, 0, 1, 2, 0, 1, 1, 1, 0, 0, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '[[regtime]]', NULL, NULL, 1, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_roles_rights`
--

CREATE TABLE `[[dbprefix]]_roles_rights` (
  `ror_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ror_name_intern` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `ror_table` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `ror_ror_id_parent` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`ror_id`),
  KEY `[[dbprefix]]_fk_ror_ror_parent` (`ror_ror_id_parent`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `[[dbprefix]]_roles_rights`
--

INSERT INTO `[[dbprefix]]_roles_rights` VALUES
(1, 'folder_view', 'adm_folders', NULL),
(2, 'folder_upload', 'adm_folders', NULL),
(3, 'category_view', 'adm_categories', NULL),
(4, 'event_participation', 'adm_dates', NULL),
(5, 'menu_view', 'adm_menu', NULL),
(6, 'category_edit', 'adm_categories', 3);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_roles_rights_data`
--

CREATE TABLE `[[dbprefix]]_roles_rights_data` (
  `rrd_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rrd_ror_id` int(10) unsigned NOT NULL,
  `rrd_rol_id` int(10) unsigned NOT NULL,
  `rrd_object_id` int(10) unsigned NOT NULL,
  `rrd_usr_id_create` int(10) unsigned DEFAULT NULL,
  `rrd_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`rrd_id`),
  UNIQUE KEY `[[dbprefix]]_idx_rrd_ror_rol_object_id` (`rrd_ror_id`,`rrd_rol_id`,`rrd_object_id`),
  KEY `[[dbprefix]]_fk_rrd_rol` (`rrd_rol_id`),
  KEY `[[dbprefix]]_fk_rrd_usr_create` (`rrd_usr_id_create`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_role_dependencies`
--

CREATE TABLE `[[dbprefix]]_role_dependencies` (
  `rld_rol_id_parent` int(10) unsigned NOT NULL,
  `rld_rol_id_child` int(10) unsigned NOT NULL,
  `rld_comment` text COLLATE utf8_unicode_ci,
  `rld_usr_id` int(10) unsigned DEFAULT NULL,
  `rld_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`rld_rol_id_parent`,`rld_rol_id_child`),
  KEY `[[dbprefix]]_fk_rld_rol_child` (`rld_rol_id_child`),
  KEY `[[dbprefix]]_fk_rld_usr` (`rld_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_rooms`
--

CREATE TABLE `[[dbprefix]]_rooms` (
  `room_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `room_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `room_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `room_description` text COLLATE utf8_unicode_ci,
  `room_capacity` int(11) NOT NULL,
  `room_overhang` int(11) DEFAULT NULL,
  `room_usr_id_create` int(10) unsigned DEFAULT NULL,
  `room_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `room_usr_id_change` int(10) unsigned DEFAULT NULL,
  `room_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`room_id`),
  UNIQUE KEY `[[dbprefix]]_idx_room_uuid` (`room_uuid`),
  KEY `[[dbprefix]]_fk_room_usr_create` (`room_usr_id_create`),
  KEY `[[dbprefix]]_fk_room_usr_change` (`room_usr_id_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Dumping data for table `[[dbprefix]]_rooms`
--

INSERT INTO `[[dbprefix]]_rooms` VALUES
(1, 'fef5c267-e373-4adf-bc8c-ed3da92763f3', 'Conference room', 'Meetings can take place here.', 15, NULL, 1, '[[regtime]]', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_sessions`
--

CREATE TABLE `[[dbprefix]]_sessions` (
  `ses_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ses_usr_id` int(10) unsigned DEFAULT NULL,
  `ses_org_id` int(10) unsigned NOT NULL,
  `ses_session_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `ses_begin` timestamp NULL DEFAULT NULL,
  `ses_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ses_ip_address` varchar(39) COLLATE utf8_unicode_ci NOT NULL,
  `ses_binary` blob,
  `ses_reload` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ses_id`),
  KEY `[[dbprefix]]_idx_session_id` (`ses_session_id`),
  KEY `[[dbprefix]]_fk_ses_org` (`ses_org_id`),
  KEY `[[dbprefix]]_fk_ses_usr` (`ses_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_texts`
--

CREATE TABLE `[[dbprefix]]_texts` (
  `txt_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `txt_org_id` int(10) unsigned NOT NULL,
  `txt_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `txt_text` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`txt_id`),
  KEY `[[dbprefix]]_fk_txt_org` (`txt_org_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `[[dbprefix]]_texts`
--

INSERT INTO `[[dbprefix]]_texts` VALUES
(1, 1, 'SYSMAIL_REGISTRATION_CONFIRMATION', '#subject# Your registration at #organization_long_name#\r\n#content# Hello #user_first_name#,\r\nwe are very glad that you have registered on our website #organization_homepage#.\r\n\r\nTo complete your registration, please click on the following link: #variable1#. By clicking on the link you will be automatically redirected to our website and your registration will be confirmed.\r\n\r\nOnce you have confirmed your registration, we will check it. You will receive a reply within a few hours whether your registration has been accepted and you can log in with your credentials or whether your registration has been rejected.\r\n\r\nBest regards\r\nThe team of #organization_long_name#'),
(2, 1, 'SYSMAIL_REGISTRATION_NEW', '#subject# New registration at #organization_long_name# website\r\n#content# A new user has registered on #organization_homepage#.\r\n\r\nSurname: #user_last_name#\r\nFirst Name: #user_first_name#\r\nE-Mail: #user_email#\r\n\r\n\r\nThis message was generated automatically.'),
(3, 1, 'SYSMAIL_REGISTRATION_APPROVED', '#subject# Registration at #organization_long_name# confirmed\r\n#content# Hello #user_first_name#,\r\n\r\nyour registration on #organization_homepage# has been confirmed.\r\n\r\nYou can now log in to the homepage with your username #user_login_name# and your password.\r\n\r\nIf you have any questions, write an email to #administrator_email#.\r\n\r\nRegards,\r\nThe team of #organization_long_name#'),
(4, 1, 'SYSMAIL_REGISTRATION_REFUSED', '#subject# in registration at #organization_long_name# rejected.\r\n#content#Hello #user_first_name#,\r\n\r\nyour registration at #organization_homepage# was rejected.\r\n\r\nRegistrations are accepted in general by our users. If you are a member and your registration was still rejected, it may be because you were not identified as member.\r\nTo clarify the reasons for the rejection please contact the administrator #administrator_email# from #organization_homepage#.\r\n\r\nRegards,\r\nThe team of #organization_long_name#'),
(5, 1, 'SYSMAIL_NEW_PASSWORD', '#subject# Login data for #organization_long_name#\r\n#content# Hello #user_first_name#,\r\n\r\nYou receive your login data for the website #organization_homepage#.\r\nUsername: #user_login_name#\r\nPassword: #variable1#\r\n\r\nThe password was generated automatically,\r\nYou should change it after logging in to #organization_homepage# in your profile.\r\n\r\nRegards,\r\nThe team of #organization_long_name#'),
(6, 1, 'SYSMAIL_PASSWORD_RESET', '#subject# Reset password for #organization_long_name#\r\n#content# Hello #user_first_name#,\r\n\r\nWe have received a request to reset your password on #organization_homepage#.\r\n\r\nIf the request came from you, you can use the following link to reset your password and set a new one: \r\n#variable1#\r\n\r\nRegards,\r\nThe team of #organization_long_name#');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_users`
--

CREATE TABLE `[[dbprefix]]_users` (
  `usr_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usr_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `usr_login_name` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usr_password` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usr_photo` blob,
  `usr_text` text COLLATE utf8_unicode_ci,
  `usr_pw_reset_id` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usr_pw_reset_timestamp` timestamp NULL DEFAULT NULL,
  `usr_last_login` timestamp NULL DEFAULT NULL,
  `usr_actual_login` timestamp NULL DEFAULT NULL,
  `usr_number_login` int(11) NOT NULL DEFAULT '0',
  `usr_date_invalid` timestamp NULL DEFAULT NULL,
  `usr_number_invalid` smallint(6) NOT NULL DEFAULT '0',
  `usr_usr_id_create` int(10) unsigned DEFAULT NULL,
  `usr_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `usr_usr_id_change` int(10) unsigned DEFAULT NULL,
  `usr_timestamp_change` timestamp NULL DEFAULT NULL,
  `usr_valid` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`usr_id`),
  UNIQUE KEY `[[dbprefix]]_idx_usr_uuid` (`usr_uuid`),
  UNIQUE KEY `[[dbprefix]]_idx_usr_login_name` (`usr_login_name`),
  KEY `[[dbprefix]]_fk_usr_usr_create` (`usr_usr_id_create`),
  KEY `[[dbprefix]]_fk_usr_usr_change` (`usr_usr_id_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `[[dbprefix]]_users`
--

INSERT INTO `[[dbprefix]]_users` VALUES
(1, '79689cb4-77a0-410a-8010-612303f5b97e', 'System', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, NULL, '[[regtime]]', NULL, NULL, 0),
(2, 'cf259bbf-eb3f-4c1a-9e29-1eaf901edacc', '[[admin_username]]', '[[admin_pass]]', NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, 1, '[[regtime]]', NULL, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_user_data`
--

CREATE TABLE `[[dbprefix]]_user_data` (
  `usd_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usd_usr_id` int(10) unsigned NOT NULL,
  `usd_usf_id` int(10) unsigned NOT NULL,
  `usd_value` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`usd_id`),
  UNIQUE KEY `[[dbprefix]]_idx_usd_usr_usf_id` (`usd_usr_id`,`usd_usf_id`),
  KEY `[[dbprefix]]_fk_usd_usf` (`usd_usf_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Dumping data for table `[[dbprefix]]_user_data`
--

INSERT INTO `[[dbprefix]]_user_data` VALUES
(1, 2, 1, '[[admin_lname]]'),
(2, 2, 2, '[[admin_fname]]'),
(3, 2, 11, '[[admin_email]]'),
(4, 1, 1, 'System');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_user_fields`
--

CREATE TABLE `[[dbprefix]]_user_fields` (
  `usf_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usf_cat_id` int(10) unsigned NOT NULL,
  `usf_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `usf_type` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `usf_name_intern` varchar(110) COLLATE utf8_unicode_ci NOT NULL,
  `usf_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `usf_description` text COLLATE utf8_unicode_ci,
  `usf_description_inline` tinyint(1) NOT NULL DEFAULT '0',
  `usf_value_list` text COLLATE utf8_unicode_ci,
  `usf_default_value` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usf_regex` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usf_icon` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usf_url` varchar(2000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usf_system` tinyint(1) NOT NULL DEFAULT '0',
  `usf_disabled` tinyint(1) NOT NULL DEFAULT '0',
  `usf_hidden` tinyint(1) NOT NULL DEFAULT '0',
  `usf_registration` tinyint(1) NOT NULL DEFAULT '0',
  `usf_required_input` smallint(6) NOT NULL DEFAULT '0',
  `usf_sequence` smallint(6) NOT NULL,
  `usf_usr_id_create` int(10) unsigned DEFAULT NULL,
  `usf_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `usf_usr_id_change` int(10) unsigned DEFAULT NULL,
  `usf_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`usf_id`),
  UNIQUE KEY `[[dbprefix]]_idx_usf_name_intern` (`usf_name_intern`),
  UNIQUE KEY `[[dbprefix]]_idx_usf_uuid` (`usf_uuid`),
  KEY `[[dbprefix]]_fk_usf_cat` (`usf_cat_id`),
  KEY `[[dbprefix]]_fk_usf_usr_create` (`usf_usr_id_create`),
  KEY `[[dbprefix]]_fk_usf_usr_change` (`usf_usr_id_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=21 ;

--
-- Dumping data for table `[[dbprefix]]_user_fields`
--

INSERT INTO `[[dbprefix]]_user_fields` VALUES
(1, 1, '6e593f95-5e9a-4cbc-b9d7-b13f37f4f19f', 'TEXT', 'LAST_NAME', 'SYS_LASTNAME', NULL, 0, NULL, NULL, NULL, NULL, NULL, 1, 1, 0, 1, 1, 1, 1, '[[regtime]]', NULL, NULL),
(2, 1, 'ce2d6873-bb56-4b3e-a91a-a2c316565659', 'TEXT', 'FIRST_NAME', 'SYS_FIRSTNAME', NULL, 0, NULL, NULL, NULL, NULL, NULL, 1, 1, 0, 1, 1, 2, 1, '[[regtime]]', NULL, NULL),
(3, 1, '08289147-b9eb-4fcb-bff9-324961e96c44', 'TEXT', 'STREET', 'SYS_STREET', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 3, 1, '[[regtime]]', NULL, NULL),
(4, 1, '7fbc05fd-6ebb-4413-9101-0ca5e21e6588', 'TEXT', 'POSTCODE', 'SYS_POSTCODE', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 4, 1, '[[regtime]]', NULL, NULL),
(5, 1, '3b503ccc-eaf6-4786-8cd9-02a9e81cbdd1', 'TEXT', 'CITY', 'SYS_CITY', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 5, 1, '[[regtime]]', NULL, NULL),
(6, 1, '5bab8bd8-0b37-440a-8605-a3c2990a8950', 'TEXT', 'COUNTRY', 'SYS_COUNTRY', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 6, 1, '[[regtime]]', NULL, NULL),
(7, 1, '4ab3f64f-7381-48b2-9dac-c3b9ebf42219', 'PHONE', 'PHONE', 'SYS_PHONE', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 7, 1, '[[regtime]]', NULL, NULL),
(8, 1, '548f3591-7e0d-400d-8e8e-3307a24a33fa', 'PHONE', 'MOBILE', 'SYS_MOBILE', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 8, 1, '[[regtime]]', NULL, NULL),
(9, 1, '345cc766-dfa4-408e-82ca-fc5df272a446', 'DATE', 'BIRTHDAY', 'SYS_BIRTHDAY', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 10, 1, '[[regtime]]', NULL, NULL),
(10, 1, '8d9cbb5a-ab39-4a2f-9584-e504ee63b67d', 'RADIO_BUTTON', 'GENDER', 'SYS_GENDER', NULL, 0, 'fa-mars|SYS_MALE\nfa-venus|SYS_FEMALE\nfa-mars-stroke-v|SYS_DIVERSE', NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 11, 1, '[[regtime]]', NULL, NULL),
(11, 1, '114d7155-04a6-455e-ac8f-71e623a9f9f4', 'EMAIL', 'EMAIL', 'SYS_EMAIL', NULL, 0, NULL, NULL, NULL, NULL, NULL, 1, 0, 0, 1, 2, 12, 1, '[[regtime]]', NULL, NULL),
(12, 1, 'd3fb2cea-11ef-49e5-94bc-f0328fa260c1', 'URL', 'WEBSITE', 'SYS_WEBSITE', NULL, 0, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0, 13, 1, '[[regtime]]', NULL, NULL),
(13, 3, 'ec80224c-e0f7-4296-9887-d574e9afbc4d', 'CHECKBOX', 'DATA_PROTECTION_PERMISSION', 'SYS_DATA_PROTECTION_PERMISSION', 'I have read the information provided by the organization. As far as the personal data provided by me are not necessary data for the fulfillment of the contract, I declare my consent to the processing of these data. My data will be stored exclusively for the purposes of the organization and treated confidentially.', 1, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 2, 14, 1, '[[regtime]]', NULL, NULL),
(14, 2, 'fcc565ab-216f-40d9-a3e9-1201f97f1f33', 'TEXT', 'FACEBOOK', 'SYS_FACEBOOK', 'Would you like to set a link to your #VAR1# profile? Your #VAR1# login name is required. Log in to your #VAR1# account and go to your profile. Now copy the URL in this field and save your profile here. Visitors of your profile are now able to open your #VAR1# profile directly.', 0, NULL, NULL, NULL, 'fab fa-facebook', 'https://www.facebook.com/#user_content#', 0, 0, 0, 0, 0, 1, 1, '[[regtime]]', NULL, NULL),
(15, 2, 'bae34ece-62db-414c-bbee-fbb706098235', 'TEXT', 'INSTAGRAM', 'SYS_INSTAGRAM', 'Would you like to set a link to your #VAR1# profile? Your #VAR1# login name is required. Log in to your #VAR1# account and go to your profile. Now copy the URL in this field and save your profile here. Visitors of your profile are now able to open your #VAR1# profile directly.', 0, NULL, NULL, NULL, 'fab fa-instagram', 'https://www.instagram.com/#user_content#', 0, 0, 0, 0, 0, 2, 1, '[[regtime]]', NULL, NULL),
(16, 2, '6f9b43cc-e471-40c7-bbfa-8b46f8dc6fe0', 'TEXT', 'LINKEDIN', 'SYS_LINKEDIN', 'Would you like to set a link to your #VAR1# profile? Your #VAR1# login name is required. Log in to your #VAR1# account and go to your profile. Now copy the URL in this field and save your profile here. Visitors of your profile are now able to open your #VAR1# profile directly.', 0, NULL, NULL, NULL, 'fab fa-linkedin', 'https://www.linkedin.com/in/#user_content#', 0, 0, 0, 0, 0, 3, 1, '[[regtime]]', NULL, NULL),
(17, 2, 'c0ef8481-09a6-4315-b1d8-d0fb75171f6e', 'TEXT', 'MASTODON', 'SYS_MASTODON', 'Would you like to set a link to your #VAR1# profile? Your #VAR1# login name is required. Log in to your #VAR1# account and go to your profile. Now copy the URL in this field and save your profile here. Visitors of your profile are now able to open your #VAR1# profile directly.', 0, NULL, NULL, NULL, 'fab fa-mastodon', 'https://mastodon.social/#user_content#', 0, 0, 0, 0, 0, 4, 1, '[[regtime]]', NULL, NULL),
(18, 2, '25953367-3bba-4c49-a2d8-bb9f39f31426', 'TEXT', 'SKYPE', 'SYS_SKYPE', 'Here you can enter your username that you use in this social network. Other members will then be able to find you in this network.', 0, NULL, NULL, NULL, 'fab fa-skype', NULL, 0, 0, 0, 0, 0, 5, 1, '[[regtime]]', NULL, NULL),
(19, 2, '61794e4f-05a1-4348-92bc-b3f5f51c125c', 'TEXT', 'TWITTER', 'SYS_TWITTER', 'Would you like to set a link to your #VAR1# profile? Your #VAR1# login name is required. Log in to your #VAR1# account and go to your profile. Now copy the URL in this field and save your profile here. Visitors of your profile are now able to open your #VAR1# profile directly.', 0, NULL, NULL, NULL, 'fab fa-twitter', 'https://twitter.com/#user_content#', 0, 0, 0, 0, 0, 6, 1, '[[regtime]]', NULL, NULL),
(20, 2, 'e08a9abe-e3bb-4069-8538-a2ca5e70139b', 'TEXT', 'XING', 'SYS_XING', 'Would you like to set a link to your #VAR1# profile? Your #VAR1# login name is required. Log in to your #VAR1# account and go to your profile. Now copy the URL in this field and save your profile here. Visitors of your profile are now able to open your #VAR1# profile directly.', 0, NULL, NULL, NULL, 'fab fa-xing', 'https://www.xing.com/profile/#user_content#', 0, 0, 0, 0, 0, 7, 1, '[[regtime]]', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_user_log`
--

CREATE TABLE `[[dbprefix]]_user_log` (
  `usl_id` int(11) NOT NULL AUTO_INCREMENT,
  `usl_usr_id` int(10) unsigned NOT NULL,
  `usl_usf_id` int(10) unsigned NOT NULL,
  `usl_value_old` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usl_value_new` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `usl_usr_id_create` int(10) unsigned DEFAULT NULL,
  `usl_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `usl_comment` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`usl_id`),
  KEY `[[dbprefix]]_fk_user_log_1` (`usl_usr_id`),
  KEY `[[dbprefix]]_fk_user_log_2` (`usl_usr_id_create`),
  KEY `[[dbprefix]]_fk_user_log_3` (`usl_usf_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_user_relations`
--

CREATE TABLE `[[dbprefix]]_user_relations` (
  `ure_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ure_urt_id` int(10) unsigned NOT NULL,
  `ure_usr_id1` int(10) unsigned NOT NULL,
  `ure_usr_id2` int(10) unsigned NOT NULL,
  `ure_usr_id_create` int(10) unsigned DEFAULT NULL,
  `ure_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ure_usr_id_change` int(10) unsigned DEFAULT NULL,
  `ure_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`ure_id`),
  UNIQUE KEY `[[dbprefix]]_idx_ure_urt_usr` (`ure_urt_id`,`ure_usr_id1`,`ure_usr_id2`),
  KEY `[[dbprefix]]_fk_ure_usr1` (`ure_usr_id1`),
  KEY `[[dbprefix]]_fk_ure_usr2` (`ure_usr_id2`),
  KEY `[[dbprefix]]_fk_ure_usr_change` (`ure_usr_id_change`),
  KEY `[[dbprefix]]_fk_ure_usr_create` (`ure_usr_id_create`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]_user_relation_types`
--

CREATE TABLE `[[dbprefix]]_user_relation_types` (
  `urt_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `urt_uuid` varchar(36) COLLATE utf8_unicode_ci NOT NULL,
  `urt_name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `urt_name_male` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `urt_name_female` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `urt_edit_user` tinyint(1) NOT NULL DEFAULT '0',
  `urt_id_inverse` int(10) unsigned DEFAULT NULL,
  `urt_usr_id_create` int(10) unsigned DEFAULT NULL,
  `urt_timestamp_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `urt_usr_id_change` int(10) unsigned DEFAULT NULL,
  `urt_timestamp_change` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`urt_id`),
  UNIQUE KEY `[[dbprefix]]_idx_ure_urt_name` (`urt_name`),
  UNIQUE KEY `[[dbprefix]]_idx_urt_uuid` (`urt_uuid`),
  KEY `[[dbprefix]]_fk_urt_id_inverse` (`urt_id_inverse`),
  KEY `[[dbprefix]]_fk_urt_usr_change` (`urt_usr_id_change`),
  KEY `[[dbprefix]]_fk_urt_usr_create` (`urt_usr_id_create`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Dumping data for table `[[dbprefix]]_user_relation_types`
--

INSERT INTO `[[dbprefix]]_user_relation_types` VALUES
(1, 'aa591dd5-ba02-4f71-b478-ce838016e5d3', 'Parent', 'Father', 'Mother', 0, 2, 1, '[[regtime]]', NULL, NULL),
(2, 'b4ef2dec-f5b2-427c-98a3-f5b6deb353f5', 'Child', 'Son', 'Daughter', 0, 1, 1, '[[regtime]]', NULL, NULL),
(3, '1e48b7cb-d92f-4e6e-bc97-0cdbc2443814', 'Sibling', 'Brother', 'Sister', 0, 3, 1, '[[regtime]]', NULL, NULL),
(4, '22166689-5fc0-4038-83dc-731f3791b704', 'Spouse', 'Husband', 'Wife', 0, 4, 1, '[[regtime]]', NULL, NULL),
(5, '8dd96e13-2da1-454c-a209-2c8410e7ba8e', 'Partner', 'Partner', 'Partner', 0, 5, 1, '[[regtime]]', NULL, NULL),
(6, 'c37f2a84-e5bb-4edf-9264-9a7bb5839e57', 'Friend', 'Friend', 'Girlfriend', 0, 6, 1, '[[regtime]]', NULL, NULL),
(7, 'bc4c3977-5ec1-4ced-ba12-38624093572a', 'Boss', 'Boss', 'Female superior', 0, 8, 1, '[[regtime]]', NULL, NULL),
(8, '33124ea5-9d9d-4ce1-9dcb-94145c6689f4', 'Subordinate', 'Male subordinate', 'Female subordinate', 0, 7, 1, '[[regtime]]', NULL, NULL);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `[[dbprefix]]_announcements`
--
ALTER TABLE `[[dbprefix]]_announcements`
  ADD CONSTRAINT `[[dbprefix]]_fk_ann_cat` FOREIGN KEY (`ann_cat_id`) REFERENCES `[[dbprefix]]_categories` (`cat_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_ann_usr_create` FOREIGN KEY (`ann_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_ann_usr_change` FOREIGN KEY (`ann_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_auto_login`
--
ALTER TABLE `[[dbprefix]]_auto_login`
  ADD CONSTRAINT `[[dbprefix]]_fk_atl_usr` FOREIGN KEY (`atl_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_atl_org` FOREIGN KEY (`atl_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`);

--
-- Constraints for table `[[dbprefix]]_categories`
--
ALTER TABLE `[[dbprefix]]_categories`
  ADD CONSTRAINT `[[dbprefix]]_fk_cat_org` FOREIGN KEY (`cat_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_cat_usr_create` FOREIGN KEY (`cat_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_cat_usr_change` FOREIGN KEY (`cat_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_category_report`
--
ALTER TABLE `[[dbprefix]]_category_report`
  ADD CONSTRAINT `[[dbprefix]]_fk_crt_org` FOREIGN KEY (`crt_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`);

--
-- Constraints for table `[[dbprefix]]_events`
--
ALTER TABLE `[[dbprefix]]_events`
  ADD CONSTRAINT `[[dbprefix]]_fk_dat_cat` FOREIGN KEY (`dat_cat_id`) REFERENCES `[[dbprefix]]_categories` (`cat_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_dat_rol` FOREIGN KEY (`dat_rol_id`) REFERENCES `[[dbprefix]]_roles` (`rol_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_dat_room` FOREIGN KEY (`dat_room_id`) REFERENCES `[[dbprefix]]_rooms` (`room_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_dat_usr_create` FOREIGN KEY (`dat_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_dat_usr_change` FOREIGN KEY (`dat_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_files`
--
ALTER TABLE `[[dbprefix]]_files`
  ADD CONSTRAINT `[[dbprefix]]_fk_fil_fol` FOREIGN KEY (`fil_fol_id`) REFERENCES `[[dbprefix]]_folders` (`fol_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_fil_usr` FOREIGN KEY (`fil_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_folders`
--
ALTER TABLE `[[dbprefix]]_folders`
  ADD CONSTRAINT `[[dbprefix]]_fk_fol_org` FOREIGN KEY (`fol_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_fol_fol_parent` FOREIGN KEY (`fol_fol_id_parent`) REFERENCES `[[dbprefix]]_folders` (`fol_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_fol_usr` FOREIGN KEY (`fol_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_guestbook`
--
ALTER TABLE `[[dbprefix]]_guestbook`
  ADD CONSTRAINT `[[dbprefix]]_fk_gbo_org` FOREIGN KEY (`gbo_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_gbo_usr_create` FOREIGN KEY (`gbo_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_gbo_usr_change` FOREIGN KEY (`gbo_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_guestbook_comments`
--
ALTER TABLE `[[dbprefix]]_guestbook_comments`
  ADD CONSTRAINT `[[dbprefix]]_fk_gbc_gbo` FOREIGN KEY (`gbc_gbo_id`) REFERENCES `[[dbprefix]]_guestbook` (`gbo_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_gbc_usr_create` FOREIGN KEY (`gbc_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_gbc_usr_change` FOREIGN KEY (`gbc_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_ids`
--
ALTER TABLE `[[dbprefix]]_ids`
  ADD CONSTRAINT `[[dbprefix]]_fk_ids_usr_id` FOREIGN KEY (`ids_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`);

--
-- Constraints for table `[[dbprefix]]_links`
--
ALTER TABLE `[[dbprefix]]_links`
  ADD CONSTRAINT `[[dbprefix]]_fk_lnk_cat` FOREIGN KEY (`lnk_cat_id`) REFERENCES `[[dbprefix]]_categories` (`cat_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_lnk_usr_create` FOREIGN KEY (`lnk_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_lnk_usr_change` FOREIGN KEY (`lnk_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_lists`
--
ALTER TABLE `[[dbprefix]]_lists`
  ADD CONSTRAINT `[[dbprefix]]_fk_lst_usr` FOREIGN KEY (`lst_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_lst_org` FOREIGN KEY (`lst_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`);

--
-- Constraints for table `[[dbprefix]]_list_columns`
--
ALTER TABLE `[[dbprefix]]_list_columns`
  ADD CONSTRAINT `[[dbprefix]]_fk_lsc_lst` FOREIGN KEY (`lsc_lst_id`) REFERENCES `[[dbprefix]]_lists` (`lst_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_lsc_usf` FOREIGN KEY (`lsc_usf_id`) REFERENCES `[[dbprefix]]_user_fields` (`usf_id`);

--
-- Constraints for table `[[dbprefix]]_members`
--
ALTER TABLE `[[dbprefix]]_members`
  ADD CONSTRAINT `[[dbprefix]]_fk_mem_rol` FOREIGN KEY (`mem_rol_id`) REFERENCES `[[dbprefix]]_roles` (`rol_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_mem_usr` FOREIGN KEY (`mem_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_mem_usr_create` FOREIGN KEY (`mem_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_mem_usr_change` FOREIGN KEY (`mem_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_menu`
--
ALTER TABLE `[[dbprefix]]_menu`
  ADD CONSTRAINT `[[dbprefix]]_fk_men_men_parent` FOREIGN KEY (`men_men_id_parent`) REFERENCES `[[dbprefix]]_menu` (`men_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_men_com_id` FOREIGN KEY (`men_com_id`) REFERENCES `[[dbprefix]]_components` (`com_id`);

--
-- Constraints for table `[[dbprefix]]_messages`
--
ALTER TABLE `[[dbprefix]]_messages`
  ADD CONSTRAINT `[[dbprefix]]_fk_msg_usr_sender` FOREIGN KEY (`msg_usr_id_sender`) REFERENCES `[[dbprefix]]_users` (`usr_id`);

--
-- Constraints for table `[[dbprefix]]_messages_attachments`
--
ALTER TABLE `[[dbprefix]]_messages_attachments`
  ADD CONSTRAINT `[[dbprefix]]_fk_msa_msg_id` FOREIGN KEY (`msa_msg_id`) REFERENCES `[[dbprefix]]_messages` (`msg_id`);

--
-- Constraints for table `[[dbprefix]]_messages_content`
--
ALTER TABLE `[[dbprefix]]_messages_content`
  ADD CONSTRAINT `[[dbprefix]]_fk_msc_msg_id` FOREIGN KEY (`msc_msg_id`) REFERENCES `[[dbprefix]]_messages` (`msg_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_msc_usr_id` FOREIGN KEY (`msc_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_messages_recipients`
--
ALTER TABLE `[[dbprefix]]_messages_recipients`
  ADD CONSTRAINT `[[dbprefix]]_fk_msr_msg_id` FOREIGN KEY (`msr_msg_id`) REFERENCES `[[dbprefix]]_messages` (`msg_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_msr_rol_id` FOREIGN KEY (`msr_rol_id`) REFERENCES `[[dbprefix]]_roles` (`rol_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_msr_usr_id` FOREIGN KEY (`msr_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_organizations`
--
ALTER TABLE `[[dbprefix]]_organizations`
  ADD CONSTRAINT `[[dbprefix]]_fk_org_org_parent` FOREIGN KEY (`org_org_id_parent`) REFERENCES `[[dbprefix]]_organizations` (`org_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_photos`
--
ALTER TABLE `[[dbprefix]]_photos`
  ADD CONSTRAINT `[[dbprefix]]_fk_pho_pho_parent` FOREIGN KEY (`pho_pho_id_parent`) REFERENCES `[[dbprefix]]_photos` (`pho_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_pho_org` FOREIGN KEY (`pho_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_pho_usr_create` FOREIGN KEY (`pho_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_pho_usr_change` FOREIGN KEY (`pho_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_preferences`
--
ALTER TABLE `[[dbprefix]]_preferences`
  ADD CONSTRAINT `[[dbprefix]]_fk_prf_org` FOREIGN KEY (`prf_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`);

--
-- Constraints for table `[[dbprefix]]_registrations`
--
ALTER TABLE `[[dbprefix]]_registrations`
  ADD CONSTRAINT `[[dbprefix]]_fk_reg_org` FOREIGN KEY (`reg_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_reg_usr` FOREIGN KEY (`reg_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`);

--
-- Constraints for table `[[dbprefix]]_roles`
--
ALTER TABLE `[[dbprefix]]_roles`
  ADD CONSTRAINT `[[dbprefix]]_fk_rol_cat` FOREIGN KEY (`rol_cat_id`) REFERENCES `[[dbprefix]]_categories` (`cat_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_rol_lst_id` FOREIGN KEY (`rol_lst_id`) REFERENCES `[[dbprefix]]_lists` (`lst_id`) ON DELETE SET NULL ON UPDATE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_rol_usr_create` FOREIGN KEY (`rol_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_rol_usr_change` FOREIGN KEY (`rol_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_roles_rights`
--
ALTER TABLE `[[dbprefix]]_roles_rights`
  ADD CONSTRAINT `[[dbprefix]]_fk_ror_ror_parent` FOREIGN KEY (`ror_ror_id_parent`) REFERENCES `[[dbprefix]]_roles_rights` (`ror_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_roles_rights_data`
--
ALTER TABLE `[[dbprefix]]_roles_rights_data`
  ADD CONSTRAINT `[[dbprefix]]_fk_rrd_ror` FOREIGN KEY (`rrd_ror_id`) REFERENCES `[[dbprefix]]_roles_rights` (`ror_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_rrd_rol` FOREIGN KEY (`rrd_rol_id`) REFERENCES `[[dbprefix]]_roles` (`rol_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_rrd_usr_create` FOREIGN KEY (`rrd_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_role_dependencies`
--
ALTER TABLE `[[dbprefix]]_role_dependencies`
  ADD CONSTRAINT `[[dbprefix]]_fk_rld_rol_child` FOREIGN KEY (`rld_rol_id_child`) REFERENCES `[[dbprefix]]_roles` (`rol_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_rld_rol_parent` FOREIGN KEY (`rld_rol_id_parent`) REFERENCES `[[dbprefix]]_roles` (`rol_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_rld_usr` FOREIGN KEY (`rld_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_rooms`
--
ALTER TABLE `[[dbprefix]]_rooms`
  ADD CONSTRAINT `[[dbprefix]]_fk_room_usr_create` FOREIGN KEY (`room_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_room_usr_change` FOREIGN KEY (`room_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_sessions`
--
ALTER TABLE `[[dbprefix]]_sessions`
  ADD CONSTRAINT `[[dbprefix]]_fk_ses_org` FOREIGN KEY (`ses_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_ses_usr` FOREIGN KEY (`ses_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`);

--
-- Constraints for table `[[dbprefix]]_texts`
--
ALTER TABLE `[[dbprefix]]_texts`
  ADD CONSTRAINT `[[dbprefix]]_fk_txt_org` FOREIGN KEY (`txt_org_id`) REFERENCES `[[dbprefix]]_organizations` (`org_id`);

--
-- Constraints for table `[[dbprefix]]_users`
--
ALTER TABLE `[[dbprefix]]_users`
  ADD CONSTRAINT `[[dbprefix]]_fk_usr_usr_create` FOREIGN KEY (`usr_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_usr_usr_change` FOREIGN KEY (`usr_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_user_data`
--
ALTER TABLE `[[dbprefix]]_user_data`
  ADD CONSTRAINT `[[dbprefix]]_fk_usd_usf` FOREIGN KEY (`usd_usf_id`) REFERENCES `[[dbprefix]]_user_fields` (`usf_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_usd_usr` FOREIGN KEY (`usd_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`);

--
-- Constraints for table `[[dbprefix]]_user_fields`
--
ALTER TABLE `[[dbprefix]]_user_fields`
  ADD CONSTRAINT `[[dbprefix]]_fk_usf_cat` FOREIGN KEY (`usf_cat_id`) REFERENCES `[[dbprefix]]_categories` (`cat_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_usf_usr_create` FOREIGN KEY (`usf_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_usf_usr_change` FOREIGN KEY (`usf_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_user_log`
--
ALTER TABLE `[[dbprefix]]_user_log`
  ADD CONSTRAINT `[[dbprefix]]_fk_user_log_1` FOREIGN KEY (`usl_usr_id`) REFERENCES `[[dbprefix]]_users` (`usr_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_user_log_2` FOREIGN KEY (`usl_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`),
  ADD CONSTRAINT `[[dbprefix]]_fk_user_log_3` FOREIGN KEY (`usl_usf_id`) REFERENCES `[[dbprefix]]_user_fields` (`usf_id`);

--
-- Constraints for table `[[dbprefix]]_user_relations`
--
ALTER TABLE `[[dbprefix]]_user_relations`
  ADD CONSTRAINT `[[dbprefix]]_fk_ure_urt` FOREIGN KEY (`ure_urt_id`) REFERENCES `[[dbprefix]]_user_relation_types` (`urt_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `[[dbprefix]]_fk_ure_usr1` FOREIGN KEY (`ure_usr_id1`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `[[dbprefix]]_fk_ure_usr2` FOREIGN KEY (`ure_usr_id2`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `[[dbprefix]]_fk_ure_usr_change` FOREIGN KEY (`ure_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_ure_usr_create` FOREIGN KEY (`ure_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

--
-- Constraints for table `[[dbprefix]]_user_relation_types`
--
ALTER TABLE `[[dbprefix]]_user_relation_types`
  ADD CONSTRAINT `[[dbprefix]]_fk_urt_id_inverse` FOREIGN KEY (`urt_id_inverse`) REFERENCES `[[dbprefix]]_user_relation_types` (`urt_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `[[dbprefix]]_fk_urt_usr_change` FOREIGN KEY (`urt_usr_id_change`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL,
  ADD CONSTRAINT `[[dbprefix]]_fk_urt_usr_create` FOREIGN KEY (`urt_usr_id_create`) REFERENCES `[[dbprefix]]_users` (`usr_id`) ON DELETE SET NULL;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
